changeset 90:5c1e6b7b5bd1

nuc-fw: cheezy config.sh hand-holding script created
author Michael Spacefalcon <msokolov@ivan.Harhan.ORG>
date Sun, 25 Aug 2013 19:27:40 +0000
parents d01098eccf21
children 3641e44f044e
files nuc-fw/config.sh
diffstat 1 files changed, 31 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/nuc-fw/config.sh	Sun Aug 25 19:27:40 2013 +0000
@@ -0,0 +1,31 @@
+#!/bin/sh
+# This shell script is meant to be invoked directly by users; no Makefile
+# or other script invokes it.  The purpose of this script to hand-hold
+# the user through creating a minimal valid build.conf file (without the
+# user having some existing one) to allow the build to proceed.
+
+echo 'Please select the target you wish to build the firmware for:'
+echo
+echo '1: Closedmoko GTA01/02 GSM modem'
+echo '2: Pirelli DP-L10 feature phone'
+echo
+echo -n 'Please make your selection: '
+read userinput
+
+case "$userinput" in
+	1)
+		TARGET=gtamodem
+		;;
+	2)
+		TARGET=pirelli
+		;;
+	*)
+		echo 'Invalid selection'
+		exit 1;
+		;;
+esac
+
+echo
+echo "target $TARGET" > build.conf
+echo "build.conf created; you can now run 'make'"
+exit 0